import Request from '../common/request.js';
let request = new Request().http

// 获取我的健康档案
export function myRecord() {
	return request('/app/healthRecord/myRecord', null, 'GET');
}

// 查询今日健康生活
export function HealthLife(data) {
	return request('/app/healthRecord/HealthLife', data, 'GET');
}

 

// 查询健康史模板列表
export function healthHistoryTempList() {
	return request('/app/healthRecord/healthHistoryTempList', null, 'GET');
}

// 健康数据列表
export function HealthDataList(data) {
	return request('/app/healthRecord/HealthDataList', data, 'GET');
}

// 健康数据详细
export function HealthData(id) {
	return request('/app/healthRecord/HealthData/' + id, null, 'GET');
}

// 获取健康生活详细信息
export function getHealthLife(id) {
	return request('/app/healthRecord/getHealthLife/' + id, null, 'GET');
}

// 获取健康生活详细信息
export function editRecord(data) {
	return request('/app/healthRecord/editRecord', data, 'PUT','application/json;charset=UTF-8');
}

// 新增健康档案
export function addRecord(data) {
	return request('/app/healthRecord/addRecord', data, 'POST', 'application/json;charset=UTF-8');
}

// 新增健康生活
export function addFsHealthLife(data) {
	return request('/app/healthRecord/addFsHealthLife', data, 'POST', 'application/json;charset=UTF-8');
}

// 新增健康数据
export function addFsHealthData(data) {
	return request('/app/healthRecord/addFsHealthData', data, 'POST', 'application/json;charset=UTF-8');
}
